# Application Interface (API)

The API is used by integration applications to do interact with Tonomy ID, such as using the single sign-on (SSO) flow and signing data.

* [ExternalUser class reference](https://unpkg.com/@tonomy/tonomy-id-sdk/build/sdk/types/api/externalUser.d.ts)

Try import into [VS Code online Typescript editor](https://insiders.vscode.dev/tsplay) for best viewing.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tonomy.io/run-tonomy-gov-os/reference/api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
